## groovy.xml
Class SAXBuilder

A helper class for creating a W3C D

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`Attributes` | `emptyAttributes`
`ContentHandler` | `handler`

Constructor Summary
`SAXBuilder(ContentHandler handler)`

Method Summary
`Object` | `createNode(Object name)`
`Object` | `createNode(Object name, Object value)`
`Object` | `createNode(Object name, Map attributeMap, Object text)`
`Object` | `createNode(Object name, Map attributes)`
`void` | `doStartElement(Object name, Attributes attributes)`
`void` | `doText(Object value)`
`void` | `handleException(SAXException e)`
`void` | `nodeCompleted(Object parent, Object name)`
`void` | `setParent(Object parent, Object child)`

Constructor Detail

### SAXBuilder

    public SAXBuilder(ContentHandler handler)

Method Detail

### createNode

    Object createNode(Object name)

### createNode

    Object createNode(Object name, Object value)

### createNode

    Object createNode(Object name, Map attributeMap, Object text)

### createNode

    Object createNode(Object name, Map attributes)

### doStartElement

    void doStartElement(Object name, Attributes attributes)

### doText

    void doText(Object value)

  param:
    value

### handleException

    void handleException(SAXException e)

### nodeCompleted

    void nodeCompleted(Object parent, Object name)

### setParent

    void setParent(Object parent, Object child)